org.glassfish.jersey.server.model

## Class AnnotatedMethod

- java.lang.Object
- - org.glassfish.jersey.model.AnnotatedMethod
  - - org.glassfish.jersey.server.model.AnnotatedMethod

All Implemented Interfaces:
  AnnotatedElement

    public class AnnotatedMethod
    extends AnnotatedMethod

Annotated method representation.

Author:
  Paul Sandoz

### Constructor Summary

Constructors
Constructor and Description
`AnnotatedMethod(Method method)`

### Method Summary

### Methods inherited from class org.glassfish.jersey.model.AnnotatedMethod

`getAnnotation, getAnnotations, getDeclaredAnnotations, getDeclaredMethod, getGenericParameterTypes, getMetaMethodAnnotations, getMethod, getParameterAnnotations, getParameterTypes, getTypeParameters, isAnnotationPresent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.reflect.AnnotatedElement

`getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotationsByType`

### Constructor Detail

#### AnnotatedMethod

    public AnnotatedMethod(Method method)